<template>
  <div class="login">
     <!-- v-if="datas.isReceived === false" -->
    <div class="wei" v-if="!flag">
      <div class="header">
        <div class="text">
          <div>微信好友{{username}}</div>
          <div class="two">赠送了一张券给你,请尽快领取</div>
        </div>
        <div class="list" >
            <div class="card"  >
              <div class="one">{{datas.couponName}}</div>
              <div class="two" v-if="datas.couponType === '现金券'">{{datas.amount}}满{{datas.amountCondition}}可用</div>
              <div class="three" v-if="datas.couponType === '折扣券'">{{datas.discount}}折</div>
              <div class="four">有效期{{datas.startDate}}~{{datas.endDate}}</div>
            </div>
        </div>
      </div>
       <v-footer :footer="'领取'"  @footerEmit="getcard()" v-if="!flag"></v-footer>
     </div>
     <!-- v-if="memberId ===''" -->
    <div class="content" v-if="memberId ===''">
        <div class="inputbox">
        <div class="input-item input-type">
          <p class="title" :style="{color:'#727171'}">手机号</p>
          <div class="item">
          <input
            maxlength="11"
            :type=input[0].inputType
            :placeholder=input[0].placeholder
            @input="inputEmit($event,input[0])"
            style="color:#000"
          />
          </div>
        </div>
      </div>
      <div class="inputbox"  >
        <div class="input-item input-type"  > 
          <p class="title" :style="{color:'#727171'}">验证码</p>
          <div style="display:flex">
          <div class="item1">
          <input
            maxlength="4"
            :type=input[1].inputType
            :placeholder=input[1].placeholder
            @input="inputEmit($event,input[1])" 
          />
          </div>
          <div class="code" :style="{background:phonenumber.length===11?'#919191':'#b3b2b4'}">
            <v-code :phonenumber="phonenumber" @codeEmit="codeEmit" ></v-code>
          </div>
          </div>
          
        </div>
      </div>
      <div class="agree">
           <div class="box">
             <img :src="checkurl" alt="">
             <span>我已阅读</span>
             <span class="text" @click="agree">《GAIDA用户许可协议》</span>
           </div>
        </div>
        <div class="agree">
          未注册的会员将会注册，成功后，请到登录后在会员中心 “券”中查看。
        </div>
      <div style="height:20rpx"></div>
      <v-footer :footer="'登录并领取'" :status = "gainAuthCodeAction" @footerEmit="enter()"></v-footer>
    </div>
    <!-- </div> -->
    <!-- v-if="datas.isReceived" -->
    <!--  -->
    <!-- v-if="datas.isReceived === true" -->
    <view class="myToast" v-show="nullHouse">发送验证码成功</view>
    <div class="yi" v-if="flag">
      <div class="header">
        <div class="text">
          <div>微信好友{{username}}</div>
          <div class="two">赠送了一张券给你,请尽快领取</div>
        </div>
        <div class="tip">
          <img :src="card"/>
          <p>不好意思，您动作慢了</p>
        </div>
      </div>
    </div>
    <!--弹出栏-->
    <v-hintbox :hintbox="hintbox" @close="close" ></v-hintbox>
  </div>
</template>
<script type="text/ecmascript-6">
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'

  import store from '@/store'
  import config from '@/config'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import code from '@/components/code/code.vue'
  import footer from '@/components/footer/footer.vue'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData,Appid} from '@/utils/base'
  // import '../../../../static/css/reset.css';
  // import '../../../../static/css/components.scss';
  let mta= require('@/utils/mta_analysis.js');
  export default {
    data(){
      return{
        flag:'',
        list:'',
        username:'',
        memberId:'',
        couponId:'',
        datas:{},
        card:config.url + 'card2.png',
        checkurl:config.url + 'ck.png',
        bgurl:config.url +'bg.png',
        nullHouse:false,
        type:'phone',
        hintbox:{
          text :'',
          show : false
        },
        headerUrl: config.url+'pic-login-header.png',
        input:[
          {
            inputType:'number',
            title:'手机号',
            placeholder:'请输入手机号'
          },
          {
            inputType:'number',
            title:'验证码',
            placeholder:'请输入验证码'
          },
        ],
        // 验证码数据定义
        isGet: false,
        phonenumber: '', // 手机号码
        authcode:"", //输入的验证码
        sec: 60,
        status: false,
        bind:false,
        verificationcode: ''//接口验证码
      }
    },
    components:{
      // 'v-spaces':spaces,
      'v-footer':  footer,
      'v-code' : code,
      'v-hintbox' : hintbox
    },
    watch:{
      'store.state.Login.phonenumber'(){

      }
    },
    computed:{
      // 登录状态按钮禁用
      status(){
        console.log('status:'+this.gainAuthCodeAction);
        if( this.gainAuthCodeAction ){
          return true;
        }else{
          return false;
        }

      },
      // 获取验证码
      gainAuthCodeAction: function () {
        //第一步：验证手机号码
        return (this.phonenumber.length === 11 && this.authcode.length === 4);
      }

    },
    methods:{
      //判断是否已注册登录
       getinfo(){
        let that =this;
        let appid = Appid();
        console.log(appid);
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let phone =  wx.getStorageSync('phonewx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkIslogin(function (res) {
          console.log('用户已授权登录');
          if(phone){
            VeevlinkClient(
             '/member/login?openId='+VerificationCodeEntity.OpenId + '&phone='+phone.phoneNumber+'&type=wechat',
              'GET',
              '',
            function (data) {
              if(data.success){
                 wx.setStorageSync('memberid',data.records[0].memberId);
                 this.getcard(that.list);
                //  wx.reLaunch({
                //     url: '/pages/mainPage/home/main?id=1'
                //  })
              }else{
                  this.show = true;
                   wx.setStorageSync('memberid','');
                    this.couponId = that.list.couponId;
                    this.memberId = wx.getStorageSync('memberid');
                    this.username = wx.getStorageSync('UserInfo').nickName;
                if(appid === 'wxe3786e0f1c17f2f9'){
                  //  config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                 
                }else{
                  // config.href(config.mainPage.confirm,true);
                  // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
                }
              }
            },
            function (err) {
              if(appid === 'wxe3786e0f1c17f2f9'){
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }else{
                // config.href(config.mainPage.confirm,true);
                // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
                  // 2019-10-25 sonia改动 end
              }
            })

          }else{
             that.show = true;
          }
          
        },function (appid) {
          // 判断失败时的appid是测试环境就跳授权也，否则跳手机登录
          if(appid === 'wxe3786e0f1c17f2f9'){
            // config.href(config.mainPage.confirm,true);
            // 2019-10-25 sonia改动 start
                   config.href(config.mainPage.instruction,true);
            // 2019-10-25 sonia改动 end
          }else{
            config.href(config.mainPage.home,true);
          }
        },function (text) {
          // 用户授权失败
          that.hintbox.show = true;
          that.hintbox.text = text;
        });
      },
      //卡券领取
      getcard(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/coupon/get?openId='+VerificationCodeEntity.OpenId + '&couponId='+this.couponId +'&receiveMember=' + memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              that.hintbox.show = true;
              that.hintbox.text = data.message;
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
      //获取卡券信息
       getAjax(data){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/coupon/info?openId='+VerificationCodeEntity.OpenId + '&couponId='+data.couponId +'&platform=wechat' + '&couponNo='+data.couponNo,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
                that.datas = data.records[0];
                console.log('datas',data.records[0].isReceiced);
                if(data.records[0].isReceiced){
                  console.log('true');
                  that.flag = true;
                }else{
                  console.log('false');
                  that.flag = false;
                }
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      },
      close(){
        this.hintbox.show = false;
        this.hintbox.text = '';
      },
      inputEmit(data,item){
        if(item.title === '手机号'){
          this.phonenumber = data.mp.detail.value;
        }
        if(item.title === '验证码'){
          this.authcode = data.mp.detail.value;
        }
        // console.log(data.mp.detail.value);
        return
      },
      //跳转协议
      agree(){
        config.href(config.mainPage.agree);
      },
      login(){
        let that = this;
        let veevlink = VeevlinkData();
        if(that.authcode.length === 0){
          that.hintbox.show = true;
          that.hintbox.text = '验证码不能为空';
          return;
        }
        console.log(that.phonenumber+that.authcode+that.type);
        VeevlinkClient(
          '/member/login?openId='+veevlink.OpenId+'&phone='+that.phonenumber+'&verificationCode='+that.authcode+'&type='+that.type,
          'GET',
          '',
          function (data) {
            if(data.success){
              wx.getStorageSync('memberid',data.records[0].memberId);
              wx.getStorageSync('isRegister',data.records[0].isRegister);
              that.getcard();
            }else{
              that.hintbox.show = true;
              that.hintbox.text = data.message;
            }
          },
          function (error) {
            console.log(error);
            that.hintbox.show = true;
            that.hintbox.text = error.message;
          })
      },
      //登录用户授权页
      enter: function () {
        // console.log('enter');
        // config.href(config.UserInfoImprove);
        //埋点
        let that = this;
        let veevlink = VeevlinkData();
        mta.Data.userInfo = {'open_id':veevlink.OpenId, 'phone':that.phonenumber};
        if(that.verificationcode !== that.authcode){
          wx.showToast({
            title: '验证码错误!',
            icon: 'success',
            image: '../../static/img/error.png',
            duration: 2000
          })
        }
//      wx.showLoading({
//        title: '加载中',
//        mask:'false'
//      });
//      VeevlinkLogin(function () {
//        console.log('succes');
        that.login();
//      },function () {
//        that.hintbox.show = true;
//        that.hintbox.text = '登录失败';
//      });
      },
      tel(data){
        let that = this;
        console.log(data);
        console.log(this.phonenumber);

        that.phonenumber =data.value;

//      return
//      let array = [ 'Login','phonenumber',data]
//      store.commit('add',array);
//      console.log(store.state.Login.phonenumber);
//      console.log(this.gainAuthCodeAction);
//       this.phonenumber = store.state.Login.phonenumber
      },
      code(data){
        this.authcode =data.value;
        console.log(this.authcode);
      },
      sss(data){
        console.log(data);
      },
      codeEmit(data){
        let that = this;
        console.log('da');
        this.nullHouse = true;
        setTimeout(function () {
           that.nullHouse=false;
           console.log(this.nullHouse);
       },1500)
      }
    },
    created(){
      // let array = [ 'Login','phonenumber','']
      // store.commit('add',array);
      console.log(config.url+'pic-login-header.png');
    },
    onLoad(data) {
      mta.Page.init();
      console.log('领卡券',data);
      // this.getinfo();
      this.list = data;
      this.getAjax(data);
      this.couponId = data.couponId;
      this.memberId = wx.getStorageSync('memberid');
      this.username = wx.getStorageSync('UserInfo').nickName;
      
    }
  }
</script>
<style  lang="scss"  type="text/scss" scoped >
  .login{
    width: 100%;
    .header{
      margin:0.3rem;
      background:rgba(255,255,255,1);
      box-shadow:0px 0px 5px 0px rgba(0,0,0,0.16);
      width:6.86rem;
      height:4.3rem;
      padding-top:0.3rem;
      .text{
        text-align:center;
        div{
          color:#333333;
          font-size:0.28rem;
        }
        .two{
          margin: 0.3rem 0 0.5rem;
        }
        
      }
      .tip{
        margin:0 auto;
        img{
          width:1.64rem;
          height:1.64rem;
          left:2.61rem;
          position:relative;
          top:-0.2rem;

        }
        p{
          text-align:center;
          color:#727171;
          font-size:0.24rem;
          margin-top:0.2rem;
        }
      }
      .list{
            .nodata{
              color: #000;
              opacity: 0.4;
              margin-top: 1.44rem;
              margin-left: 2.7rem;
              font-size: 0.22rem;
            }
            .card{
            width: 5.86rem;
            height: 2rem;
            margin: 0.24rem 0.4rem;
            background: #E4E4E4;
            padding-top:0.18rem;
            img{
              position: relative;
              top: -2.15rem;
              width: 0.79rem;
              height: 0.79rem;
              right: 1rem;
              left: 5.1rem;

            }
            .one{
                  font-size: 0.3rem;
                  color: #FF7C10;
                  margin: 0.18rem 0.4rem;
              }
              .two,.three{
                    font-size: 0.28rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }
              .four{
                  font-size: 0.24rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }
          }
         }
    }
  }
  .content{
    width: 100%;
    position: absolute;
    bottom: 1.26rem;
    .inputbox{
      .input-item{
        margin: 0.36rem 0.7rem;
        p{
          font-size: 0.24rem;
        }
        .item{
           width: 6.1rem;
           background: #EAEAEA;
           height: 0.6rem;
           margin-top: 0.14rem;
           font-size: 0.24rem;
           line-height: 0.6rem;
        }
        .item1{
           width: 3.67rem;
           background: #EAEAEA;
           height: 0.6rem;
           margin-top: 0.14rem;
           font-size: 0.24rem;
           line-height: 0.6rem;
           display: flex;
           
        }
        .code{
             width:2.31rem;
             height: 0.6rem;
             line-height: 0.6rem;
             text-align: center;
             background: #919191;
             margin-left: 0.12rem;
             font-size: 0.24rem;
             margin-top: 0.15rem;

           }
        input{
          padding: 0.1rem 0.2rem;
        }
      }

      
    }
    .agree{
      margin: 0.24rem 0.7rem 0 0.7rem;
      font-size: 0.24rem;
      font-family: '华文细黑';
      color:#727171;
      line-height:0.4rem;
      .box{
        display: flex;
        font-size: 0.24rem;
        color:#727171;
        img{
          width: 0.45rem;
          height: 0.45rem;
          margin-top:-0.03rem;
        }
         .text{
            color: #727171;
            text-decoration-line: underline;
            text-decoration-color: #727171;
          }
      }
    }
  }
  .myToast{
    width: 4rem;
    height: 0.6rem;
    line-height: 0.6rem;
    text-align: center;
    background: #919191;
    color: #fff;
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 25%;
    border-radius: 0.05rem;
  }



</style>


